Bug 117865 - No adead key accents (^, ") and related accented keys (�, �, �, �, �) in oowriter
No adead key accents (^, ") and related accented keys (�, �, �, �, ï¿...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-09 08:36 EST by Sébastien Pierre
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-11 18:30:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sébastien Pierre 2004-03-09 08:36:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
I use a French keyboard (generit PC-105 intl) and when I type ^ once,
nothing appears, when I type ^+^, nothing appears either. In fact,
nothing appears in the Writer for the following keystrokes :

 - " + " (I would expect " as " is a dead key)
 - " + <space> (same)
 - " + {a,e,i,o,u} (I would expect �, �, �, �, �)
 - ^ + ^ (I would expect ^)
 - ^ + <space) (same)
 - ^ + {a,e,i,o,u} (I would expect �, �, �, �, �)

I do not experience this problem with other applications.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.0-29

How reproducible:
Always

Steps to Reproduce:
1. Start OpenOffice writer
2. Try to type any of the aforementioned keystroke (say ^+e)
    

Actual Results:  No character is output, it seems like the keystroke
was "absorbed" by OpenOffice. In fact, one could think that the ^ is
simply ignored, but it isn't as ^+e is also absorbed.

Expected Results:  The � character should be appended to the text

Additional info:
Comment 1 Sébastien Pierre 2004-03-09 08:38:13 EST
Also, it is funny to note that Bugzilla does not renders the accented
properly (under Mozilla 1.6), replacing them by (?).

The expected character is &ecirc;
Comment 2 Dan Williams 2004-03-09 10:58:15 EST
What locale do you use?  Do you know what setting your LANG
environment variable is?
Comment 3 Sébastien Pierre 2004-03-09 11:40:13 EST
> echo $LANG
C

from /ets/sysconfig/i18n
LANG="C"
COUNTRY="us"
LANGUAGE="us"
CHARSET="iso8859-1"

My keyboard layout is "French", as of Gnome Keyboard config tool.

BTW, I am using Berry Linux 0.37
(http://yui.mine.nu/linux/eberry.html), a Japanese distro based on
Fedora Core 2 test 1. I don't really think this is the root of the
problem, as all other apps behave well and that I freshly installed
OpenOffice from the Fedora yum repos. 

I know... this is a strange configuration...
Comment 4 Dan Williams 2004-03-09 12:11:10 EST
You should never be running with LANG = "C".  This is completely
unsupported and will not work.  You must change your LANG to match
your actual locale, then try this issue again.  If that is still
broken with LANG="en_US", then this bug is valid.
Comment 5 Sébastien Pierre 2004-03-10 04:00:07 EST
I set the LANG to fr_FR, and everything works fine now !

Maybe OpenOffice should issue a warning on incorrect (unsupported)
locales, as other apps seem to work fine with it...

Thanks for your help :)
Comment 6 Dan Williams 2004-03-11 18:30:30 EST
Unfortunately, OOo is a bit special in this regard :(  It interfaces
directly with X11's input routines, while most other apps go through
GTK or KDE.

Note You need to log in before you can comment on or make changes to this bug.